package app.padelclub.lestorage

import kotlin.uuid.ExperimentalUuidApi
import kotlin.uuid.Uuid

class StoreCenter(val directory: String) {

    val fileWriter: FileWriter by lazy {
        createPlatformFileWriter()
    }

    val mainStore: Store by lazy {
        Store(this)
    }

    companion object {

        val default: StoreCenter by lazy {
            StoreCenter("storage")
        }

        @OptIn(ExperimentalUuidApi::class)
        fun uuidString(): String {
            return Uuid.random().toString()
        }

    }

}

